/** Header file generated with fdesign on Sun Aug  9 11:33:07 1998.**/

#ifndef FD_Mixer_h_
#define FD_Mixer_h_

/** Callbacks, globals and object handlers **/
extern void volume_knob_cb(FL_OBJECT *, long);
extern void slider_line_cb(FL_OBJECT *, long);
extern void slider_mic_cb(FL_OBJECT *, long);
extern void slider_mix_cb(FL_OBJECT *, long);
extern void mic_rec_cb(FL_OBJECT *, long);
extern void line_rec_cb(FL_OBJECT *, long);
extern void slider_reclevel_cb(FL_OBJECT *, long);
extern void button_quit_cb(FL_OBJECT *, long);
extern void slider_pcm_cb(FL_OBJECT *, long);
extern void slider_synth_cb(FL_OBJECT *, long);
extern void slider_cd_cb(FL_OBJECT *, long);
extern void knob_bass_cb(FL_OBJECT *, long);
extern void knob_treble_cb(FL_OBJECT *, long);
extern void cd_rec_cb(FL_OBJECT *, long);
extern void mix_left_cb(FL_OBJECT *, long);
extern void mix_right_cb(FL_OBJECT *, long);
extern void if_button_cb(FL_OBJECT *, long);
extern void button_fade_cb(FL_OBJECT *, long);
extern void slider_balance_cb(FL_OBJECT *, long);
extern void fade_source_cb(FL_OBJECT *, long);
extern void button_fin_cb(FL_OBJECT *, long);
extern void button_fout_cb(FL_OBJECT *, long);
extern void fade_in_delay_cb(FL_OBJECT *, long);
extern void fade_out_delay_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/
typedef struct {
	FL_FORM *Mixer;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *volume_knob;
	FL_OBJECT *slider_line;
	FL_OBJECT *slider_mic;
	FL_OBJECT *slider_mix;
	FL_OBJECT *mic_rec;
	FL_OBJECT *line_rec;
	FL_OBJECT *slider_reclevel;
	FL_OBJECT *button_quit;
	FL_OBJECT *slider_pcm;
	FL_OBJECT *slider_synth;
	FL_OBJECT *slider_cd;
	FL_OBJECT *knob_bass;
	FL_OBJECT *knob_treble;
	FL_OBJECT *cd_rec;
	FL_OBJECT *mix_left;
	FL_OBJECT *mix_right;
	FL_OBJECT *if_button;
	FL_OBJECT *led0;
	FL_OBJECT *led1;
	FL_OBJECT *led2;
	FL_OBJECT *led3;
	FL_OBJECT *led4;
	FL_OBJECT *led5;
	FL_OBJECT *led6;
	FL_OBJECT *led7;
	FL_OBJECT *button_fade;
	FL_OBJECT *slider_balance;
	FL_OBJECT *fade_source;
	FL_OBJECT *button_fin;
	FL_OBJECT *button_fout;
	FL_OBJECT *fade_in_delay;
	FL_OBJECT *fade_out_delay;
} FD_Mixer;

extern FD_Mixer * create_form_Mixer(void);

#endif /* FD_Mixer_h_ */
